<p align="center"><a href="https://cube.dev"><img src="https://i.imgur.com/zYHXm4o.png" alt="Cube.js" width="300px"></a></p>

[Website](https://cube.dev) • [Docs](https://cube.dev/docs) • [Blog](https://cube.dev/blog) • [Slack](https://slack.cube.dev) • [Twitter](https://twitter.com/thecubejs)

# React Dashboard: an Ultimate Guide
An ultimate guide on how to build dynamic analytics dashboards with React. You will learn how to create an API for analytics on top of your database, build beautiful charts, save dashboard data with the AppSync GraphQL backend, and how to authorize your users with AWS Cognito.

[The guide is available here.](https://react-dashboard.cube.dev)

## Build Internal Dashboards
Learn how to build a full-stack React Dashboard from the database to the dynamic charts and drag-n-drop features. You’ll learn how to create an analytics API with Cube.js, how to generate a React dashboard boilerplate, and then customize it however you want.

## Build Customer-Facing Dashboards
Learn how to build the React Dashboard directly into your app. You’ll learn the best practices on the backend organization of analytics API and building a customer-facing dynamic React Dashboard.

## Build an Analytics Platform
Do you want to build your own data analytics platform, like Mixpanel or Google Analytics? You can learn how to set up a backend infrastructure, as well as understand the best practices both on the backend and frontend.

# Table of Contents

1. [Overview and Analytics Backend](./content/1_overview_and_analytics_backend.md)
2. [Authentication and GraphQL API](./content/2_authentication_and_graphql_backend.md)
3. [Customize Theme](./content/3_customize_theme.md)
4. [Explore Page](./content/4_explore_page.md)
5. [Query Builder](./content/5_query_builder.md)
6. [Charts Styling](./content/6_charts_styling.md)
7. [Dashboard Page](./content/7_dashboard_page.md)
8. [Deployment](./content/8_deployment.md)
